<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.1">
  <compound kind="class">
    <name>DCOPArg</name>
    <filename>classDCOPArg.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPArg</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>aa420f3479211e8c59a2aed43f4834be2</anchor>
      <arglist>(const T &amp;t, const char *tname_arg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPArg</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>ad3f22e44d243fdbbd3a8578ad718a149</anchor>
      <arglist>(const T &amp;t)</arglist>
    </member>
    <member kind="variable">
      <type>TQByteArray</type>
      <name>data</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>a48c975e8fff3832ff5e6850214a4b5cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>tname</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>a3540425c7ad0cb27929e158e16ef7f5e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPClient</name>
    <filename>classDCOPClient.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>processSocketData</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>acd3322a80dc24dd94ed161b3dd11d950</anchor>
      <arglist>(int socknum)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>applicationRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>aa508814f3828133a28ff2833e24bfd7d</anchor>
      <arglist>(const TQCString &amp;appId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>applicationRemoved</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>aab0894831f257ca9229b22a712a292c6</anchor>
      <arglist>(const TQCString &amp;appId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>attachFailed</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>abb087ead0627eeb4727b6ff690673d4a</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>blockUserInput</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a9f609e11201e5fc089c262c8bc1fd318</anchor>
      <arglist>(bool block)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ab4bb4fb7cd7c0ef624783dfc2da5165b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ac621fc39efc091d067ff51bbd25876e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>attach</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a5b91eb6f361ac9afc06055155f349ff1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>detach</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a1dd7f2085fc2934c15eb8704d73cb92c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAttached</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a8203f1b6a287d4af82ac6a681e2eebab</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAttachedToForeignServer</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a749a9edf8bf9ca6140c803f5a2594887</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>acceptCalls</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a840e9ad6d6e965f6270ecf3ac8e1b18b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAcceptCalls</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>adc5905b28a24f518123af4a7b4c5c140</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>qtBridgeEnabled</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a7f8a344bc085aaf26940c7b2ceb69de8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setQtBridgeEnabled</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a1f20a619219018328966edf08db77cdd</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>registerAs</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ac76147bed7f8d952c0d687b5d21ab805</anchor>
      <arglist>(const TQCString &amp;appId, bool addPID=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a6915ae92ffb2827b2d4e9ca4b1b99022</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>appId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a1919b36826e2c3473487a40d647ec70c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>socket</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a8deef9b19ecc1935148c73206381e4a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>suspend</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ac3c06b86c0f87c367431029f614e615e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resume</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a72efab1d25bab079e18771f330d54e52</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSuspended</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ad544884d0ce6a67d966f9d9f97e75b8a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a5f0d315a1798eaa42e312015f50d0fed</anchor>
      <arglist>(const TQCString &amp;remApp, const TQCString &amp;remObj, const TQCString &amp;remFun, const TQByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a960ed9fa038ac6cc23c11558a00acd79</anchor>
      <arglist>(const TQCString &amp;remApp, const TQCString &amp;remObj, const TQCString &amp;remFun, const TQString &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>call</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a8d6599926fd3a330f16dcdf4f584ecf2</anchor>
      <arglist>(const TQCString &amp;remApp, const TQCString &amp;remObj, const TQCString &amp;remFun, const TQByteArray &amp;data, TQCString &amp;replyType, TQByteArray &amp;replyData, bool useEventLoop, int timeout, bool forceRemote)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>call</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a9e240b19d747676382d2529877c698f9</anchor>
      <arglist>(const TQCString &amp;remApp, const TQCString &amp;remObj, const TQCString &amp;remFun, const TQByteArray &amp;data, TQCString &amp;replyType, TQByteArray &amp;replyData, bool useEventLoop, int timeout)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>call</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a63c8478e2ec949cb3a959968b3f0dad2</anchor>
      <arglist>(const TQCString &amp;remApp, const TQCString &amp;remObj, const TQCString &amp;remFun, const TQByteArray &amp;data, TQCString &amp;replyType, TQByteArray &amp;replyData, bool useEventLoop=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>callAsync</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a80c31fa39dc7f87d80b183c26bef2ed8</anchor>
      <arglist>(const TQCString &amp;remApp, const TQCString &amp;remObj, const TQCString &amp;remFun, const TQByteArray &amp;data, TQObject *callBackObj, const char *callBackSlot)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>findObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>aab2ca025d39d506ea27f969637ecc7fe</anchor>
      <arglist>(const TQCString &amp;remApp, const TQCString &amp;remObj, const TQCString &amp;remFun, const TQByteArray &amp;data, TQCString &amp;foundApp, TQCString &amp;foundObj, bool useEventLoop, int timeout)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>findObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a789cd620873f591207a520f5cb4c5a0b</anchor>
      <arglist>(const TQCString &amp;remApp, const TQCString &amp;remObj, const TQCString &amp;remFun, const TQByteArray &amp;data, TQCString &amp;foundApp, TQCString &amp;foundObj, bool useEventLoop=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a2b69b5b640593f3084b9cfe0558e942d</anchor>
      <arglist>(const TQCString &amp;object, const TQCString &amp;signal, const TQByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ac2272e0fb104af1515e08eadd490efe8</anchor>
      <arglist>(const TQCString &amp;sender, const TQCString &amp;senderObj, const TQCString &amp;signal, const TQCString &amp;receiverObj, const TQCString &amp;slot, bool Volatile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a5ad7a187d0ff6ba7a1594f90e4d338ff</anchor>
      <arglist>(const TQCString &amp;sender, const TQCString &amp;signal, const TQCString &amp;receiverObj, const TQCString &amp;slot, bool Volatile) TDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a3b83c4d7275fed38db78010984480e09</anchor>
      <arglist>(const TQCString &amp;sender, const TQCString &amp;senderObj, const TQCString &amp;signal, const TQCString &amp;receiverObj, const TQCString &amp;slot)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a7ea7ff4d0512261ff147061cdcd1b7c7</anchor>
      <arglist>(const TQCString &amp;sender, const TQCString &amp;signal, const TQCString &amp;receiverObj, const TQCString &amp;slot) TDE_DEPRECATED</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ac16f38026b2a159c19bc2d86220ace92</anchor>
      <arglist>(const TQCString &amp;fun, const TQByteArray &amp;data, TQCString &amp;replyType, TQByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>DCOPClientTransaction *</type>
      <name>beginTransaction</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a1f22fdc6a3888205860c14762ec49fa6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endTransaction</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a1107e1b8394927e643d7c6700148c309</anchor>
      <arglist>(DCOPClientTransaction *t, TQCString &amp;replyType, TQByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>TQ_INT32</type>
      <name>transactionId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a4fbe7e97e1fdb2df4390294d1e88c8fd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isApplicationRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a29e5de728ecfb0ddb19cc31afc910b00</anchor>
      <arglist>(const TQCString &amp;remApp)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>registeredApplications</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a2e49aecea8e6125010b6fb1756af96d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteObjects</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>abcbbf3ab0a5313078f7a385dc259c4d6</anchor>
      <arglist>(const TQCString &amp;remApp, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteInterfaces</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a45ab61a2d1b26d287cf959e2b8ba37ff</anchor>
      <arglist>(const TQCString &amp;remApp, const TQCString &amp;remObj, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteFunctions</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a0a1fa12fae5f2a8caf6a38dd9af7ee9e</anchor>
      <arglist>(const TQCString &amp;remApp, const TQCString &amp;remObj, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>senderId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a7bd4ded98c9e230aa7904a09789b2de4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ae736c13e409d489bb5873979c5a177a2</anchor>
      <arglist>(const TQCString &amp;objId)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>defaultObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>aace8b396743f2c6212f41eaaa1a7dc4e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNotifications</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a9bc15bce767c2eee47c69b3130476f27</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDaemonMode</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a050f883c074f8e755f485d7bf213b11d</anchor>
      <arglist>(bool daemonMode)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setServerAddress</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>aa2cd65448302091404e76e421d6d574d</anchor>
      <arglist>(const TQCString &amp;addr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>normalizeFunctionSignature</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>adb5af56063e64d5463ef4982b8591a5c</anchor>
      <arglist>(const TQCString &amp;fun)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPClient *</type>
      <name>mainClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>aa53dc8b77e9551859db246a04d87d0a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setMainClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a9f57218d09f2b3dc530a5588a5f5b73f</anchor>
      <arglist>(DCOPClient *mainClient)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPClient *</type>
      <name>findLocalClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a7ce3e0fd10b5a4d4cf3310636a2d69ca</anchor>
      <arglist>(const TQCString &amp;_appId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>dcopServerFile</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ad95e15c1654d32f81ab1c252244e19df</anchor>
      <arglist>(const TQCString &amp;hostname=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>dcopServerFileOld</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a52d58a0c7ae46aca3737c53765e3fc57</anchor>
      <arglist>(const TQCString &amp;hostname=0) TDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>iceauthPath</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>af72831a6a02284dc8c23af04e12a8ee0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_attach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga0700917363f5dec99b0f45decd5dfacc</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>dcop_register</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga6ad55586c67a25bc296ff07e0598b425</anchor>
      <arglist>(const char *app_name, Bool add_pid)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_detach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gaea079b400f67a328b48d41e8c552b2b2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_register_callback</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gaddc2ea5df658fe574138ff04cbbec8de</anchor>
      <arglist>(const char *object_id, dcop_callback_t callback)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_send_signal</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga6702ddef48d457bf146751db61592d21</anchor>
      <arglist>(const char *receiving_app, const char *object, const char *function, char *data, int data_length)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_call</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga21aae6efe90c7e735ac5a6cd64125f81</anchor>
      <arglist>(const char *app_name, const char *remote_app_name, const char *remote_object_id, const char *remote_function, const char *data, int data_length, char **reply_type, char **reply_data, int *reply_data_length)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPObject</name>
    <filename>classDCOPObject.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a80ec1e9687582c4ddde0d8daa662d1de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>ae078d761be84bc7b24b02f9d76bf0cfe</anchor>
      <arglist>(TQObject *obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a9e92e4c67a96c9904981bdae138bdaf9</anchor>
      <arglist>(const TQCString &amp;objId)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a367326e938cd65a8cb974bfbaf08fb3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>objId</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a9c2b8359b08b3179630ffdd45c3a8dcd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setObjId</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>aca4f771535e18d2eace3164bea9ebcd0</anchor>
      <arglist>(const TQCString &amp;objId)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>aee384d5c4dd4385c8f096c6f569aeac3</anchor>
      <arglist>(const TQCString &amp;fun, const TQByteArray &amp;data, TQCString &amp;replyType, TQByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>processDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a0185cca38f431b87cc1b4b111eedeeb8</anchor>
      <arglist>(const TQCString &amp;fun, const TQByteArray &amp;data, TQCString &amp;replyType, TQByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functionsDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>aebf2772e9a52af26cc96d00e7fb2b19a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>interfacesDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>abb7a896237c2927cb0c56fd0ec7d4918</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>interfaces</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a639836fd21d5dfa13b1faf26986e45f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functions</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>addda57664f9fa1a474fbf3aabf477650</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>afe9bacd2dbc1f4b6d9d4c5287d647843</anchor>
      <arglist>(const TQCString &amp;signal, const TQByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a1f6506b4a42a8841aa2087db24f1d812</anchor>
      <arglist>(const TQCString &amp;sender, const TQCString &amp;senderObj, const TQCString &amp;signal, const TQCString &amp;slot, bool Volatile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>acb0f8c199bc3f4805fe37a4bc0f49e0f</anchor>
      <arglist>(const TQCString &amp;sender, const TQCString &amp;senderObj, const TQCString &amp;signal, const TQCString &amp;slot)</arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>callingDcopClient</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>af912927fd4b3acbdded5d455cb04fc07</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>hasObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a67157c281a126ac3da24dd4ac305ac3a</anchor>
      <arglist>(const TQCString &amp;objId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPObject *</type>
      <name>find</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>ae07ae711eda5d50354d12d9e2756b4a6</anchor>
      <arglist>(const TQCString &amp;objId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQPtrList&lt; DCOPObject &gt;</type>
      <name>match</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a637af0ca81ab0f264a185a2c6d54719a</anchor>
      <arglist>(const TQCString &amp;partialId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>objectName</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a19078b8f8dce1d82b0530ec83b49cb5e</anchor>
      <arglist>(TQObject *obj)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPObjectProxy</name>
    <filename>classDCOPObjectProxy.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>a655cedf030469825d199b1efe411f44a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>ad2099459f734fce8005ad636a72c95c6</anchor>
      <arglist>(DCOPClient *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>aa0c1d79d48ca9c61238211532a7185ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>ab4e3543212afa0d7643f64afa5e6b6ba</anchor>
      <arglist>(const TQCString &amp;obj, const TQCString &amp;fun, const TQByteArray &amp;data, TQCString &amp;replyType, TQByteArray &amp;replyData)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPRef</name>
    <filename>classDCOPRef.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>EventLoopFlag</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a77589e8e2a1f2effa5b16fa81eab0905</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a93ba732a852d91e071112809f4178903</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>affa9fcafd31acf90a9036b6250914a8d</anchor>
      <arglist>(const DCOPRef &amp;ref)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a5c4b68550e7152491d59f6043135957c</anchor>
      <arglist>(const TQCString &amp;app, const TQCString &amp;obj=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a5dc5873a6348ff314c8a6cbdacc8de8a</anchor>
      <arglist>(DCOPObject *object)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>af3d643d85017b14e2f90c8d32803a7ef</anchor>
      <arglist>(const TQCString &amp;app, const TQCString &amp;obj, const TQCString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>afadb464c8982e7d75714de9ad3f6b232</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>app</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>aad8d0af48d4882263d19a0956b9057df</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>obj</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a82224a8f4ac9bb000b756bb7266b04a0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>object</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a8ec105701300a321f3ae78470bb57109</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>type</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a5e845f799cc0e8000b9020c08259bfdb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>DCOPRef &amp;</type>
      <name>operator=</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a42a7021463fff4a734393768dc0b2b21</anchor>
      <arglist>(const DCOPRef &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>aa7cdfc36c5b2b8c353aae8e647d6de97</anchor>
      <arglist>(const TQCString &amp;app, const TQCString &amp;obj=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>aa199eaedb53f93c6977d2ef679304324</anchor>
      <arglist>(const TQCString &amp;app, const TQCString &amp;obj, const TQCString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a8d8c3bc7de31a79a3de082d53cc09bbe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a1a5e44f147edabe1d361c8da06d095db</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDCOPClient</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>adb5d52e980ea50632397db0add91015f</anchor>
      <arglist>(DCOPClient *client)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>abbd85f98fe40f04bf778b35ac51e33bf</anchor>
      <arglist>(const TQCString &amp;fun)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>aeca20f0811482a3709363b1e1e7b1775</anchor>
      <arglist>(const TQCString &amp;fun, EventLoopFlag useEventLoop=NoEventLoop, int timeout=-1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>ae480c8f9fd1ed18193bd9a75c8a32b32</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>afa7d63c381e084d1d2610329fd9c8661</anchor>
      <arglist>(const TQCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a8084e62548450555ba8e73743ccf7abe</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a83f1fde119723de1ec65751903e0af73</anchor>
      <arglist>(const TQCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a8beedd2de9b7a73fc4e0f142fccb1961</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>ae5eabf2c2d854cd2ffd95a093849835c</anchor>
      <arglist>(const TQCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>af5c24d31af27872f55f79f6e330a36be</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a2ce12e992e9c3d5a83475879b5d7028e</anchor>
      <arglist>(const TQCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a3ba7a4ad334e13ea36eb4aa0ec09b8de</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a099887901b37f2f9d78e13b7c3adfa3b</anchor>
      <arglist>(const TQCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a470be3aa3bc9da1b419ba5f120a2ef11</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a5c2d03a20ed33d2382c7b00a43912cf4</anchor>
      <arglist>(const TQCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a2bccced3d32b221fe2ec1ed18f261819</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a259f63d33b0e075cd7e329cb55e4375d</anchor>
      <arglist>(const TQCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a0f9b8928cf649b9fca4c260e622c1a02</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>ad435957351b3e5b59b4abf82e765af7c</anchor>
      <arglist>(const TQCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>aee4e8a00f09f2923227c85b42df89fa6</anchor>
      <arglist>(const TQCString &amp;fun)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a1d75b4040529ed74fe381d87ae1b598f</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a0e4620e200d81e6a4d3e77300a4385a7</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>aafe717acffe72b7a924309208449a347</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a13732420839cfce47e1f27fb0da0d649</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a48f9f7c7e32b85326f10684bbfefd5b3</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>aad596451e3fec87d260802827848fdef</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>acfa5434b37f16800033c8d570bbe4948</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a1c9eb93e82be55478f1118960a50442e</anchor>
      <arglist>(const TQCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPReply</name>
    <filename>classDCOPReply.html</filename>
    <member kind="function">
      <type></type>
      <name>operator T</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>a7d0d5ddacf4787de35456c489194e3cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>get</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>a5edc7b8b67024eae5e7aecc20f15c055</anchor>
      <arglist>(T &amp;t, const char *tname)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>get</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>acf9f47a37af92158586864297c15541a</anchor>
      <arglist>(T &amp;t)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>aef75ce08f12bdd5aa77c81a11726a7c0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>TQByteArray</type>
      <name>data</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>a5ad4a8bd9c556d36b367fc618d11914c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQCString</type>
      <name>type</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>abbea2c95a74209642d01e544b564299c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPStub</name>
    <filename>classDCOPStub.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a8392639bd9bdcd377f5f1544fbc91bff</anchor>
      <arglist>(const TQCString &amp;app, const TQCString &amp;obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a731f23b2a3cf5db3df0f38484cfaa2ce</anchor>
      <arglist>(DCOPClient *client, const TQCString &amp;app, const TQCString &amp;obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a99e77954718ed99cb1e99eff909f22b2</anchor>
      <arglist>(const DCOPRef &amp;ref)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>app</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>aa13c44a2dc30ecb23f7629bd18441e9f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>obj</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>ac5285cd6db09a48f03ed30316540a787</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a2a9017efff67b8f63fcc7d81c2f02de6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ok</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>aedc12906c66dbe3a77e8262d54279ab9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a299aa899ad5cb341370e9247fdc82df8</anchor>
      <arglist>(Status _status)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>callFailed</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a36328d34ebe927635b9dfece4e5f3cee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>ab481bd6b14141b05da0618d1e410d8c1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Test</name>
    <filename>classTest.html</filename>
    <base virtualness="virtual">DCOPObject</base>
  </compound>
  <compound kind="class">
    <name>TestObject</name>
    <filename>classTestObject.html</filename>
  </compound>
  <compound kind="group">
    <name>dcopc</name>
    <title>C interface to DCOP</title>
    <filename>group__dcopc.html</filename>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_attach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga0700917363f5dec99b0f45decd5dfacc</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>dcop_register</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga6ad55586c67a25bc296ff07e0598b425</anchor>
      <arglist>(const char *app_name, Bool add_pid)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_detach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gaea079b400f67a328b48d41e8c552b2b2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_register_callback</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gaddc2ea5df658fe574138ff04cbbec8de</anchor>
      <arglist>(const char *object_id, dcop_callback_t callback)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_send_signal</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga6702ddef48d457bf146751db61592d21</anchor>
      <arglist>(const char *receiving_app, const char *object, const char *function, char *data, int data_length)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_call</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga21aae6efe90c7e735ac5a6cd64125f81</anchor>
      <arglist>(const char *app_name, const char *remote_app_name, const char *remote_object_id, const char *remote_function, const char *data, int data_length, char **reply_type, char **reply_data, int *reply_data_length)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>The DCOP Desktop COmmunication Protocol library</title>
    <filename>index.html</filename>
    <docanchor file="index.html" title="Model:">model</docanchor>
    <docanchor file="index.html" title="Establishing the Connection:">establish</docanchor>
    <docanchor file="index.html" title="Sending Data to a Remote Application:">sending_data</docanchor>
    <docanchor file="index.html" title="Receiving Data via DCOP:">receiving_data</docanchor>
    <docanchor file="index.html" title="Receiving Calls and processing them:">receiving_calls</docanchor>
    <docanchor file="index.html" title="Using the dcopidl compiler:">dcopidl</docanchor>
    <docanchor file="index.html" title="Inter-user communication:">iuc</docanchor>
    <docanchor file="index.html" title="DCOP Protocol description:">protocol</docanchor>
    <docanchor file="index.html" title="protection and reentrancy">Deadlock</docanchor>
    <docanchor file="index.html" title="DCOP Signals:">dcop_signals</docanchor>
    <docanchor file="index.html" title="Conclusion:">conclusion</docanchor>
  </compound>
</tagfile>
