<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.1">
  <compound kind="class">
    <name>KRES::Manager::ActiveIterator</name>
    <filename>classKRES_1_1Manager_1_1ActiveIterator.html</filename>
  </compound>
  <compound kind="class">
    <name>KRES::Factory</name>
    <filename>classKRES_1_1Factory.html</filename>
    <member kind="function">
      <type>ConfigWidget *</type>
      <name>configWidget</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>af35c55a07553f3c2bc64633af3b7f087</anchor>
      <arglist>(const TQString &amp;type, TQWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>Resource *</type>
      <name>resource</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a2bbd8a349412bf06f51a0e379cdcf32b</anchor>
      <arglist>(const TQString &amp;type, const TDEConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>typeNames</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a10c2ad3f8fba1d8c01392d25ca05a265</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>typeName</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a95c25786ddf4d8b29218c5c8503e72fc</anchor>
      <arglist>(const TQString &amp;type) const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>typeDescription</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a4f9b58eebaee27deb2c462dd90419449</anchor>
      <arglist>(const TQString &amp;type) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Factory *</type>
      <name>self</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a3619a7ec7671d9ce13c88975846f5356</anchor>
      <arglist>(const TQString &amp;resourceFamily)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Manager::Iterator</name>
    <filename>classKRES_1_1Manager_1_1Iterator.html</filename>
  </compound>
  <compound kind="class">
    <name>KRES::Manager</name>
    <filename>classKRES_1_1Manager.html</filename>
    <templarg></templarg>
    <class kind="class">KRES::Manager::ActiveIterator</class>
    <class kind="class">KRES::Manager::Iterator</class>
    <member kind="function">
      <type>Iterator</type>
      <name>begin</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aadcea6067c47680bf6f8d1516b2e26c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>end</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a2e9470e64c4da5250a4e0123c0d86408</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeBegin</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ac7c9df216d7fed65d0d8da08ef841ba6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeEnd</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ac9758aee66b4c641a11c5c820f82c8c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ac2be45727dcca150ebab00a625f79fcd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Manager</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aebf96fbd93e7db6153c8d68fd173d85c</anchor>
      <arglist>(const TQString &amp;family)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a456cffb8ea455162b09deb26bbfd731c</anchor>
      <arglist>(TDEConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a0f115c3aa87d0a08377d156bdab45a66</anchor>
      <arglist>(TDEConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ae9aae4eef16b84b4eeb0cb61bcd156d4</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>af2df50a4440c3124e991b5e007a8cf87</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>change</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ae6177d41ac51ad9c693f31abb1998896</anchor>
      <arglist>(T *resource)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>standardResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aec98c5b9f47652777a620811260d876a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStandardResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ad42f3997362e7cd846748f67f06f828b</anchor>
      <arglist>(T *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a27b93780ec8340c268ca2549b53cb8f3</anchor>
      <arglist>(Resource *resource, bool active)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>resourceNames</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a2ad20318767dd8ae53f7529ba3b67515</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>createResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a40322dfaf60a8b4f8a34b916d4bb76f3</anchor>
      <arglist>(const TQString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>resourceTypeNames</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ad41357e37ffbd0ff7874303658ed79d0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>resourceTypeDescriptions</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a165dc5b2810a284ac9f860756772a335</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addObserver</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a765188cc09c9089fa20d96e24810e994</anchor>
      <arglist>(ManagerObserver&lt; T &gt; *observer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeObserver</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a05730c9f88ac94d7c9b9020d6afdad46</anchor>
      <arglist>(ManagerObserver&lt; T &gt; *observer)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Manager&lt; KRES::Resource &gt;</name>
    <filename>classKRES_1_1Manager.html</filename>
    <member kind="function">
      <type>Iterator</type>
      <name>begin</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aadcea6067c47680bf6f8d1516b2e26c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>end</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a2e9470e64c4da5250a4e0123c0d86408</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeBegin</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ac7c9df216d7fed65d0d8da08ef841ba6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeEnd</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ac9758aee66b4c641a11c5c820f82c8c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ac2be45727dcca150ebab00a625f79fcd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Manager</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aebf96fbd93e7db6153c8d68fd173d85c</anchor>
      <arglist>(const TQString &amp;family)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a456cffb8ea455162b09deb26bbfd731c</anchor>
      <arglist>(TDEConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a0f115c3aa87d0a08377d156bdab45a66</anchor>
      <arglist>(TDEConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ae9aae4eef16b84b4eeb0cb61bcd156d4</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>af2df50a4440c3124e991b5e007a8cf87</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>change</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ae6177d41ac51ad9c693f31abb1998896</anchor>
      <arglist>(KRES::Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>KRES::Resource *</type>
      <name>standardResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aec98c5b9f47652777a620811260d876a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStandardResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ad42f3997362e7cd846748f67f06f828b</anchor>
      <arglist>(KRES::Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a27b93780ec8340c268ca2549b53cb8f3</anchor>
      <arglist>(Resource *resource, bool active)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>resourceNames</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a2ad20318767dd8ae53f7529ba3b67515</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KRES::Resource *</type>
      <name>createResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a40322dfaf60a8b4f8a34b916d4bb76f3</anchor>
      <arglist>(const TQString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>resourceTypeNames</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ad41357e37ffbd0ff7874303658ed79d0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>resourceTypeDescriptions</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a165dc5b2810a284ac9f860756772a335</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addObserver</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a765188cc09c9089fa20d96e24810e994</anchor>
      <arglist>(ManagerObserver&lt; KRES::Resource &gt; *observer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeObserver</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a05730c9f88ac94d7c9b9020d6afdad46</anchor>
      <arglist>(ManagerObserver&lt; KRES::Resource &gt; *observer)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::ManagerObserver</name>
    <filename>classKRES_1_1ManagerObserver.html</filename>
    <templarg></templarg>
  </compound>
  <compound kind="class">
    <name>ManagerObserver&lt; Resource &gt;</name>
    <filename>classKRES_1_1ManagerObserver.html</filename>
  </compound>
  <compound kind="class">
    <name>KRES::Resource</name>
    <filename>classKRES_1_1Resource.html</filename>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>ac8b87b777bae230be74cdc6353c3cc02</anchor>
      <arglist>(const TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Resource</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a0e5ec475e2601bdb33644468e86f6f10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a88795c3183a2cc2847c075fbcb6cf286</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a0bace10c217883eea74fbd584ce5097b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>abd1bb168eccdd27ea4aecbb86836bc62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a1073ab91df051cccfa191e15df6be7b8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>identifier</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>af08e3bbb7c31412d9c8b841cc6dbfe2b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>type</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a8ac8b279a9fcce937525f669e46f5c0a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a021163f496e0d69936118a7960edb02a</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>readOnly</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>abc72e78266d0ed7a35a390c96c8bfeef</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setResourceName</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a7583db2f656bbe3e0b07ec4572fc0717</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>resourceName</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>af3f6777a45fddb7b6acd82d346d22e7a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>adbbb6904d693a1e82470c00af000ed1f</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a7a9dfcd0b6d2f4ef54ae25ecf2f0e940</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dump</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a5065d086d595d572bcc69f161c7247ea</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>doOpen</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>ac525d54a65c98f1c6828f7bfebaa4461</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doClose</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a32c51122eeca72ecdce1ad9897bd2e5f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::SelectDialog</name>
    <filename>classKRES_1_1SelectDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>SelectDialog</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>a3f0e4a6a44bba12a4d0813d7899337e0</anchor>
      <arglist>(TQPtrList&lt; Resource &gt; list, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>Resource *</type>
      <name>resource</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>a3d35766a5a28be867cf15c7ec422d9cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Resource *</type>
      <name>getResource</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>a37a99783bc4a08a804e135c8fcfb436a</anchor>
      <arglist>(TQPtrList&lt; Resource &gt; list, TQWidget *parent=0)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>The KDE Resource library</title>
    <filename>index.html</filename>
  </compound>
</tagfile>
