<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.1">
  <compound kind="file">
    <name>module.h</name>
    <path>tdelibs/tdeunittest/</path>
    <filename>module_8h.html</filename>
    <includes id="runner_8h" name="runner.h" local="no" imported="no">tdeunittest/runner.h</includes>
    <namespace>KUnitTest</namespace>
    <member kind="define">
      <type>#define</type>
      <name>TDEUNITTEST_MODULE</name>
      <anchorfile>module_8h.html</anchorfile>
      <anchor>a33c2888d237421924888f515ddf41d02</anchor>
      <arglist>(library, suite)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TDEUNITTEST_MODULE_REGISTER_TESTER</name>
      <anchorfile>module_8h.html</anchorfile>
      <anchor>a40ac975cb56756610f208aa7ac16526b</anchor>
      <arglist>(tester)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TDEUNITTEST_MODULE_REGISTER_NAMEDTESTER</name>
      <anchorfile>module_8h.html</anchorfile>
      <anchor>a55f5065b45fa292245fd04a6fff741c3</anchor>
      <arglist>(name, tester)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>runner.h</name>
    <path>tdelibs/tdeunittest/</path>
    <filename>runner_8h.html</filename>
    <includes id="tester_8h" name="tester.h" local="yes" imported="no">tester.h</includes>
    <class kind="class">KUnitTest::Runner</class>
    <class kind="class">KUnitTest::TesterAutoregister</class>
    <namespace>KUnitTest</namespace>
    <member kind="define">
      <type>#define</type>
      <name>TDEUNITTEST_SUITE</name>
      <anchorfile>runner_8h.html</anchorfile>
      <anchor>a935ce2b6a2f2a320f98f2e75e5b4b38e</anchor>
      <arglist>(suite)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TDEUNITTEST_REGISTER_TESTER</name>
      <anchorfile>runner_8h.html</anchorfile>
      <anchor>ab06a54024308366e67dcb6fc82094b9d</anchor>
      <arglist>(tester)</arglist>
    </member>
    <member kind="typedef">
      <type>TQAsciiDict&lt; Tester &gt;</type>
      <name>RegistryType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a018eeb3bbe42ab0e2bb51c57c6c3300d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TQAsciiDictIterator&lt; Tester &gt;</type>
      <name>RegistryIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a4281558f47d4d1859a8e40db3a5250ec</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>tester.h</name>
    <path>tdelibs/tdeunittest/</path>
    <filename>tester_8h.html</filename>
    <class kind="class">KUnitTest::TestResults</class>
    <class kind="class">KUnitTest::Tester</class>
    <class kind="class">KUnitTest::SlotTester</class>
    <namespace>KUnitTest</namespace>
    <member kind="define">
      <type>#define</type>
      <name>CHECK</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a4fd95491287cc131e6ae4f5dafc26ac1</anchor>
      <arglist>(x, y)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>COMPARE</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a34d12e2e386464a40aff3b4d9cf7019e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VERIFY</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a3675cf895544424c921cf6f8f5e91887</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>XFAIL</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a083ae9c5c4eda5232b45ec2e1f8f1801</anchor>
      <arglist>(x, y)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SKIP</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a634ab9b9480188b1ed710cbedd91f156</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CHECK_EXCEPTION</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a0b66e2c1e37fa4ef3d20468f6c478234</anchor>
      <arglist>(exceptionCatch, expression)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>XFAIL_EXCEPTION</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>aa9792f7d211cb95f23e38ab30f7aad9d</anchor>
      <arglist>(exceptionCatch, expression)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SKIP_EXCEPTION</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a6f8532018c41967598a798ae9e3ed943</anchor>
      <arglist>(exceptionCatch, expression)</arglist>
    </member>
    <member kind="typedef">
      <type>TQAsciiDictIterator&lt; TestResults &gt;</type>
      <name>TestResultsListIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a032f861d07024e8fe0c407631c5bbdc9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::Runner</name>
    <filename>classKUnitTest_1_1Runner.html</filename>
    <member kind="slot">
      <type>int</type>
      <name>runTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a51b6c4f003e220d1c4d94e64308d1733</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>runTest</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a0a88f41817d5b05f69314e3e945142aa</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>runMatchingTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>ac11f3ed8cb3dce78891fe188cfe148e7</anchor>
      <arglist>(const TQString &amp;prefix)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a9d020e0846f094d65bd907362a6a730e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>ad643ae95b4122771a3f59acc32e896e0</anchor>
      <arglist>(const char *name, Tester *test)</arglist>
    </member>
    <member kind="function">
      <type>RegistryType &amp;</type>
      <name>registry</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a3cd1272048ec880f995f3d4982608c59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfTestCases</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>add46ea27cc802e2c3e605ed674a9baa8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a7b652d013e793ae26a78663de150dc58</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfPassedTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a59d9a3aef427d37f062ac7bd5191f11d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfFailedTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a035c390b1289b426359c6435b437d179</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfExpectedFailures</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a55693765e42291f959525bd74f84b9e0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfSkippedTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a102ca3643a5a003e7e503859cf51332d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>registerTester</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a709265a9964265f29ad21f146923db6e</anchor>
      <arglist>(const char *name, Tester *test)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Runner *</type>
      <name>self</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>ab86c6491c3420ce30839d487d975a187</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadModules</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a9e5173001773f6ac3bad3f682b9b23b0</anchor>
      <arglist>(const TQString &amp;folder, const TQString &amp;query)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setDebugCapturingEnabled</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>ae1376bfafbb49258b49e5ff9d5a94046</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::SlotTester</name>
    <filename>classKUnitTest_1_1SlotTester.html</filename>
    <base>KUnitTest::Tester</base>
    <member kind="function">
      <type>void</type>
      <name>allTests</name>
      <anchorfile>classKUnitTest_1_1SlotTester.html</anchorfile>
      <anchor>a0eef2178fb1996e722ee66b93ae2c0df</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::Tester</name>
    <filename>classKUnitTest_1_1Tester.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>allTests</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>afe8bb74f8b4ffa16de35295745521ec3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TestResults *</type>
      <name>results</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a15f8d8d441fef63d312bcc303c249024</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>skip</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>aa78f5cd103dde8b04588371c6524bf1b</anchor>
      <arglist>(const char *file, int line, TQString msg)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>check</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a278c8ee2e8116a8fe0cc13776cb66bad</anchor>
      <arglist>(const char *file, int line, const char *str, const T &amp;result, const T &amp;expectedResult, bool expectedFail)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>success</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a9170218b8cd4a07a2afc21b69d426d8c</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>failure</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a97cb0972d18dbcfc3a3fe9703963a90b</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>expectedFailure</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a2012e27670bf094a0c298d78e29817aa</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unexpectedSuccess</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>ac19bb788d0e8d551bd6d512116b2b1ed</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>skipTest</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>aa23c64f1522d575ebd4eb6becd1fe291</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setExceptionRaised</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>ae5ac649eceaabf3437aeecb26984bbb8</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>exceptionRaised</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a82f13c2211d7a4bd70f856c150811387</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::TesterAutoregister</name>
    <filename>classKUnitTest_1_1TesterAutoregister.html</filename>
    <member kind="function">
      <type></type>
      <name>TesterAutoregister</name>
      <anchorfile>classKUnitTest_1_1TesterAutoregister.html</anchorfile>
      <anchor>a1514148cb5082cce8a334791f352a108</anchor>
      <arglist>(const char *name, Tester *test)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::TestResults</name>
    <filename>classKUnitTest_1_1TestResults.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a5b36078bb4faf886800e5e907d6f87ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addDebugInfo</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>aa275a01be77ca561bddda0c5be876bda</anchor>
      <arglist>(const TQString &amp;debug)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>debugInfo</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>af1c055cae0087da56bdb4bef18a393b5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>testsFinished</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>adedf314dde8313e415e9f4f007fe508f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>errors</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a970db780d5d9af378dabca405a8c2d92</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>xfails</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a29375445cc7e95620097dc62f4bab6ee</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>xpasses</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a0ce40baea20b2d0be65225093939cfbf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>skipped</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a9b8f699828b456d949d27efd4594a9ab</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>passed</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>af4f1d547a9901c28e39e65379c291133</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>errorList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a62d061f2463cc780226025c39fbe813f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>xfailList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>aeabbf5d6279cf128146883fe25525bb9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>xpassList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a3138286358b149a66cab7c58e6b31c33</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>skipList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a187eb11103bedf42dd4efe1706a8a6a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>successList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>ad3edb1e485eabf50462b98fa4e2caa8f</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KUnitTest</name>
    <filename>namespaceKUnitTest.html</filename>
    <class kind="class">KUnitTest::Runner</class>
    <class kind="class">KUnitTest::TesterAutoregister</class>
    <class kind="class">KUnitTest::TestResults</class>
    <class kind="class">KUnitTest::Tester</class>
    <class kind="class">KUnitTest::SlotTester</class>
    <member kind="typedef">
      <type>TQAsciiDict&lt; Tester &gt;</type>
      <name>RegistryType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a018eeb3bbe42ab0e2bb51c57c6c3300d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TQAsciiDictIterator&lt; Tester &gt;</type>
      <name>RegistryIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a4281558f47d4d1859a8e40db3a5250ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TQAsciiDictIterator&lt; TestResults &gt;</type>
      <name>TestResultsListIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a032f861d07024e8fe0c407631c5bbdc9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>KUnitTest - a UnitTest library for KDE</title>
    <filename>index.html</filename>
    <docanchor file="index.html" title="Contents">contents</docanchor>
    <docanchor file="index.html" title="Background">background</docanchor>
    <docanchor file="index.html" title="Example usage">usage</docanchor>
    <docanchor file="index.html" title="Integration">integration</docanchor>
    <docanchor file="index.html" title="Creating test modules">module</docanchor>
    <docanchor file="index.html" title="Advanced usage">advanced</docanchor>
    <docanchor file="index.html" title="Exceptions">exceptions</docanchor>
    <docanchor file="index.html" title="Scripts">scripts</docanchor>
  </compound>
</tagfile>
