<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.1">
  <compound kind="class">
    <name>KIMProxy</name>
    <filename>classKIMProxy.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>registeredToDCOP</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a8cab3aa0b9774c3ec2265b9788d279ee</anchor>
      <arglist>(const TQCString &amp;appId)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>unregisteredFromDCOP</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a1026042c7dfe9efa7cb9fc0d0fefc1b7</anchor>
      <arglist>(const TQCString &amp;appId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigContactPresenceChanged</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a0a3cc794dd97b0d89c4015d82212c3f2</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigPresenceInfoExpired</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a1dc56f5c66e4dbfa5ff523ec1f21dd83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initialize</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a3193fb0f41c75ceeaa33b4489601fe42</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>allContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a2c42a1365450fe17bfc0fc331d5970ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>reachableContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a936fd65fb287ffd65a15956948c9885b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>onlineContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a0e51c85f6c7189ddcc39e0bdecda74ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>fileTransferContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a5e85ced76341e18a400048502608a277</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPresent</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a4adee2444b37e4a34d6871199aab5240</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>displayName</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a60fe1760f63f74edd93418f5866c95c4</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>presenceNumeric</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a3f327f64b85d97faffddc54777070a46</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>presenceString</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>add59cef3dc59a0c626b4d9d7e2fc926d</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>TQPixmap</type>
      <name>presenceIcon</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a0d896866727ca90dd05868d3a7474fb8</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canReceiveFiles</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a0f133d622efe535a938eb44db47f2ef3</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canRespond</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a850c6c8b31d3d7ed8b3b72e25acf83ae</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>locate</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a94cff7de0624f74ff085c88fd6a88245</anchor>
      <arglist>(const TQString &amp;contactId, const TQString &amp;protocol)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>context</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a9c291683be33017aa69f6f19ac00c267</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chatWithContact</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a2329ba7709d7c07bcfb1075dee6ae3a5</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>messageContact</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a50846141d70ad1d812a47f9e6708381f</anchor>
      <arglist>(const TQString &amp;uid, const TQString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendFile</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>aa3301f0cf0da9225b5cfbb94170b2e0a</anchor>
      <arglist>(const TQString &amp;uid, const KURL &amp;sourceURL, const TQString &amp;altFileName=TQString::null, uint fileSize=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addContact</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>aa9e1ccb66b507f98e0d47ea48de52b22</anchor>
      <arglist>(const TQString &amp;contactId, const TQString &amp;protocol)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>imAppsAvailable</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a79de4cc33ee155d9989680372e9045f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>startPreferredApp</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a6afbe30b196de30d57366a8fc9c01ee2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>contactPresenceChanged</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a936e7616482b32ec81c2ee1a42e87601</anchor>
      <arglist>(TQString uid, TQCString appId, int presence)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIMProxy *</type>
      <name>instance</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>aba4d2f7cc6437a23dcbf3ac7be65e8b7</anchor>
      <arglist>(DCOPClient *client)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>pollApp</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>abc6e38cdf6aac0fb7da0c2e519981f12</anchor>
      <arglist>(const TQCString &amp;appId)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>pollAll</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a94176e7190a7a9ed88e12e4f8b3635d4</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>updatePresence</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a8b70d0e51d21de226b06eaa814614b42</anchor>
      <arglist>(const TQString &amp;uid, const TQCString &amp;appId, int presence)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQString</type>
      <name>preferredApp</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>ac7c4e792cc977dd49df07675826d781b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KIMIface_stub *</type>
      <name>stubForUid</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>aa15ee20ffdd558b8a37d0da127b6c77c</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KIMIface_stub *</type>
      <name>stubForProtocol</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a05d75e48121860aeea863a85d0eccd61</anchor>
      <arglist>(const TQString &amp;protocol)</arglist>
    </member>
  </compound>
</tagfile>
