<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.1">
  <compound kind="class">
    <name>KBuildImageIOFactory</name>
    <filename>classKBuildImageIOFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildImageIOFactory</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>a56eff9b12e7db32a9a871316be69de19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>afb2a6e4619a4a160cd678c30f327c003</anchor>
      <arglist>(TQDataStream &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>a77acc11271ebfe4c377ef6e931ad9a04</anchor>
      <arglist>(TQDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>aab5e915971cab60c910de1171ae86e84</anchor>
      <arglist>(const TQString &amp;, const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>a973f481e29a14900f3acc548eebbc074</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildProtocolInfoFactory</name>
    <filename>classKBuildProtocolInfoFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildProtocolInfoFactory</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>a25f8f9665bf76ea5a2ea9f50c2373654</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KProtocolInfo *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>a4467c7643708a4d3d44a955bba306d76</anchor>
      <arglist>(const TQString &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>a7c76003619967e6e501e55426cdbd4fd</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>a2f897cb6b60e33beac31cffe6569aa69</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildServiceFactory</name>
    <filename>classKBuildServiceFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildServiceFactory</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a18438ebd6220f59aaa4e1b0f609dd9f1</anchor>
      <arglist>(KSycocaFactory *serviceTypeFactory, KBuildServiceGroupFactory *serviceGroupFactory)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>ac833d88a9f735b106e6df1127d015e36</anchor>
      <arglist>(const TQString &amp;file, const char *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a4b881678b5c14e2ff80d102138b44e58</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a1d6089919ed628299910a54671b3ee91</anchor>
      <arglist>(TQDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a9b6dcf70902406a7e1d37dbd7e57d362</anchor>
      <arglist>(TQDataStream &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>a423460ecc82b252f21e55bfdecd84fdb</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildServiceGroupFactory</name>
    <filename>classKBuildServiceGroupFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildServiceGroupFactory</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a9b23edef35af18e0ee2e61d2445d80d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KServiceGroup *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a2f45f0ab613ebbb2843e8cadfc529fa1</anchor>
      <arglist>(const TQString &amp;, const char *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addNewEntryTo</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>acdeb97027e152c889ec1778e2fc59fae</anchor>
      <arglist>(const TQString &amp;menuName, KService *newEntry)</arglist>
    </member>
    <member kind="function">
      <type>KServiceGroup *</type>
      <name>addNewChild</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a8d60420ab124e09e812d2e20c94d667a</anchor>
      <arglist>(const TQString &amp;parent, const char *resource, KSycocaEntry *newEntry)</arglist>
    </member>
    <member kind="function">
      <type>KServiceGroup *</type>
      <name>addNew</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a81c930724e5ab729d0a17d83b2ecfab8</anchor>
      <arglist>(const TQString &amp;menuName, const TQString &amp;file, KServiceGroup *entry, bool isDeleted)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>aa1b53724e3748fb0f933c5bea1ff1a50</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a9a3f2c439c5f1120c394605ff0785102</anchor>
      <arglist>(TQDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a49733ac0e34e7a3f18538d1d5b878f4e</anchor>
      <arglist>(TQDataStream &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a07ace1b47f5cb8978071eaef5b098cba</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildServiceTypeFactory</name>
    <filename>classKBuildServiceTypeFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildServiceTypeFactory</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a34c4117c9ecbfcd883115657c0259c76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KServiceType *</type>
      <name>findServiceTypeByName</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a8915ab0984b5cd14240d9c21184df374</anchor>
      <arglist>(const TQString &amp;_name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>ac6c034eb0d40b89c50395594374568d1</anchor>
      <arglist>(const TQString &amp;file, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a9b500a3c0ed4b25634075e2a24ffe8f6</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>aea6fb10b6ab45ba6a57d5ba88edf2366</anchor>
      <arglist>(TQDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a4b7e9b749ac5c28a248867e454cedcc1</anchor>
      <arglist>(TQDataStream &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>a9abfa9c11f0c23ab51ea51e6e8c4ff29</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCTimeInfo</name>
    <filename>classKCTimeInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>KCTimeInfo</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>ad333092f74031eed2ef15d5ca8f62313</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>a2779dda1cf486e049b7ae5b8baf809ab</anchor>
      <arglist>(TQDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>a0421b996c5137f8f7d89a43578ad00da</anchor>
      <arglist>(TQDataStream &amp;str)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDEDModule</name>
    <filename>classKDEDModule.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>idle</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a135470001b9dd8c4db420d7599d45496</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>moduleDeleted</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>aefe4a320992f6ffff6e24a699cc095cd</anchor>
      <arglist>(KDEDModule *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>windowRegistered</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a81431f46311a1040c13c694c74f6dfe8</anchor>
      <arglist>(long windowId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>windowUnregistered</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a6f5271be069d6e291b43be11e1b65de1</anchor>
      <arglist>(long windowId)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDEDModule</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a78b1ed94b17e8f3f1b82c9c93cebf031</anchor>
      <arglist>(const TQCString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdleTimeout</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a65c5ff3ef5acae2f6cd69358699c9743</anchor>
      <arglist>(int secs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetIdle</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a9d3742db3f7d0517e9982a08aafb12b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>aa3073122b0741d8eeacd7f8753c79850</anchor>
      <arglist>(const TQCString &amp;app, const TQCString &amp;key, TDEShared *obj)</arglist>
    </member>
    <member kind="function">
      <type>TDEShared *</type>
      <name>find</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>aed721f0f4072f29e97b792ce916d6de0</anchor>
      <arglist>(const TQCString &amp;app, const TQCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a0e1e4ffa32d2cadd887085bbe0d35b5f</anchor>
      <arglist>(const TQCString &amp;app, const TQCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAll</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>ab22be6ac4fd18e9f680f3264f10a4860</anchor>
      <arglist>(const TQCString &amp;app)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isWindowRegistered</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>a816227f88721811f23d05a6d2de2e9a8</anchor>
      <arglist>(long windowId)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>The Trinity Daemon (KDED)</title>
    <filename>index.html</filename>
  </compound>
</tagfile>
