<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.1">
  <compound kind="class">
    <name>AlsaOut</name>
    <filename>classAlsaOut.html</filename>
    <base>MidiOut</base>
    <member kind="function">
      <type></type>
      <name>AlsaOut</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a1fa2123fb30f679d909c8f2fe99a5588</anchor>
      <arglist>(int d, int client=64, int port=0, const char *cname=&quot;&quot;, const char *pname=&quot;&quot;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~AlsaOut</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a46182f244b0394a2abde7494d944d602</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openDev</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a8edcd53b1bd09920414d93e9eac061a3</anchor>
      <arglist>(int sqfd)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>closeDev</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a85d1cfed1df0faae6dcb8a7a220a7643</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initDev</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a8ef8b9e18bb1cc9174d4d09890faeedb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>deviceType</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a9f70ecffd9e3054f5005af842405d942</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>deviceName</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a2b54730389d80434bae57655ce75729e</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>noteOn</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>ae526fcc0d4c4f3a345d159247e10930c</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>noteOff</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>ac5c6bdcb04240208391710d30e9d244e</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressure</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a92b1653c9aebeb049cdf37687bec2903</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPatchChange</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a1e5a87db80538d52a5af4b336f5a022e</anchor>
      <arglist>(uchar chn, uchar patch)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPressure</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a7cd1f5e8ab7ccdad6e3ca0ac2bebfbee</anchor>
      <arglist>(uchar chn, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPitchBender</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>aee5d72c136e8fa4a2736bd1b500cf519</anchor>
      <arglist>(uchar chn, uchar lsb, uchar msb)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnController</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a9cb7646fcf9af95c7795896a2868a6f8</anchor>
      <arglist>(uchar chn, uchar ctl, uchar v)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sysex</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a60dd751127259bbe1da4033a178f3eae</anchor>
      <arglist>(uchar *data, ulong size)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>channelSilence</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a16676676894141e6b3364df207529a1f</anchor>
      <arglist>(uchar chn)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>channelMute</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a46045431e061ed8731cced567c344de6</anchor>
      <arglist>(uchar chn, int b)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setVolumePercentage</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>a797fcf8d2fc1cd8305027c487a9a5b45</anchor>
      <arglist>(int volper)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ok</name>
      <anchorfile>classAlsaOut.html</anchorfile>
      <anchor>aba42f50d11f69aba868407b3640d0857</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DeviceManager</name>
    <filename>classDeviceManager.html</filename>
    <member kind="function">
      <type></type>
      <name>DeviceManager</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>ab7536ec7dd31f6c8aca24edb49e09b13</anchor>
      <arglist>(int def=-1)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DeviceManager</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a5ea25e511c9be6a5787bfbd842241753</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>initManager</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a7db7e18ae68dd5fa5ead64f176e6fc9e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>checkInit</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a0c37953f265992987d0cbb360980dc4f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>MidiOut *</type>
      <name>chntodev</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a54ffab347deaf55297da2fc22b5c079a</anchor>
      <arglist>(int chn)</arglist>
    </member>
    <member kind="function">
      <type>MidiOut *</type>
      <name>deviceForChannel</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a46e90df7f3d8a08a71666b2f6ca0db76</anchor>
      <arglist>(int chn)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>deviceNumberForChannel</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a9cc4244880040dea1cadfe9c8bbed75d</anchor>
      <arglist>(int chn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDeviceNumberForChannel</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>aeb18a56dc0e0a053efa1ff8ffb2c13e8</anchor>
      <arglist>(int chn, int dev)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ok</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a9e825f1b20b11e98627cbeef658e33cc</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>usingAlsa</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a5883bacd781156dfec30ce3a39556c5b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>openDev</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>adf3c0979839a9c05f64fc63eca98e5fb</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeDev</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>ac3e9e2d06aeef1b67e4aee8cf49501b8</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initDev</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a6176475ba6b491909f3b65d0ace82e9b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>noteOn</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a0a8fa608705b596053d3a033ffc50124</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>noteOff</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>ab68d50cd0887a9952f90d1ce34f23ae0</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>keyPressure</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>ac1c843e8d8f3b0e2d9364ccd570c0623</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnPatchChange</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a457923289e59bd156e3d57d5d9aecd33</anchor>
      <arglist>(uchar chn, uchar patch)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnPressure</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>aa5538517c5a963e4a416cd4aa2b6dbd6</anchor>
      <arglist>(uchar chn, uchar vel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnPitchBender</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a0f6cd1f7c8283dcff2d143de6bce1236</anchor>
      <arglist>(uchar chn, uchar lsb, uchar msb)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnController</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a5b810226cc168b31edbc80ac8d785227</anchor>
      <arglist>(uchar chn, uchar ctl, uchar v)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sysEx</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a72cb10d4d2effaf4052093eed190ef03</anchor>
      <arglist>(uchar *data, ulong size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>wait</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a27f98f4e3ae1372925ba284fe9e3a7fd</anchor>
      <arglist>(double ms)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>tmrSetTempo</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>ac993414a510635a85f860e202151ed47</anchor>
      <arglist>(int v)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>tmrStart</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a63c6809d3a6e0d18eecdf2f2b4115d7b</anchor>
      <arglist>(long int tpcn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>tmrStop</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>aae81962047a142ae5f5e5e0bcbce6c2f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>tmrContinue</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>af8ecd94b0b4895d076547b42eac5bed1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>allNotesOff</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>ae2cdcd7de4b43eb7580b1979a4ce12ed</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sync</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>aae92764328471a6b4973459d723d5ddd</anchor>
      <arglist>(bool f=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVolumePercentage</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a733942a89771c2a62b405448fc7fbaa8</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>defaultDevice</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a71f424b244890cb7d07f698cf85f00a6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultDevice</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a5433c50c02af9ff9b6d084034a793eef</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setPatchesToUse</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a4dc2867a62b15054e8acdc4380199830</anchor>
      <arglist>(int *patchesused)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>midiMapFilename</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>adc20cd4349f8a8aa8a1f6e69ccbdbbc5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMidiMap</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a8825249454dd2951aa8f6ba3aeb7f551</anchor>
      <arglist>(MidiMapper *map)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rate</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a2a8c1b518e52cb680c1e9404c8b7a010</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>midiPorts</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a47bc84ac9bdc1e772817f1c246e5155b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>synthDevices</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>afaf503897ac59b44227e2a59ccfcf959</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>name</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a3b9204e92042f1113d00908052ee26ed</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>type</name>
      <anchorfile>classDeviceManager.html</anchorfile>
      <anchor>a907bc773d87d409fc72a6708e7012ce5</anchor>
      <arglist>(int i)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>FMOut</name>
    <filename>classFMOut.html</filename>
    <base>MidiOut</base>
    <member kind="function">
      <type></type>
      <name>FMOut</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a8164c33dea20f4c904f3e5766e72988c</anchor>
      <arglist>(int d=0, int total=12)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~FMOut</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>ae8b6b8dccd0234d52909038cafa5eb9e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openDev</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a6ea1f64b43541ae16379bd49b3f837bb</anchor>
      <arglist>(int sqfd)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>closeDev</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a8d9b748793147d3aa26bef877bdacd61</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initDev</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a1bda31d7316b40dec12cbc5df5615211</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>noteOn</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a8747206cbc173cb7045adcc0a760486a</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>noteOff</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a849c1b3d1ebf33548032eed05ac05601</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressure</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a3fe038d3faabbc9d6903c2256b369eee</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPatchChange</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a24321aabec0b734130c057f5d8de2506</anchor>
      <arglist>(uchar chn, uchar patch)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPressure</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>ad112d7e20974e74c3ef272d75fe96c81</anchor>
      <arglist>(uchar chn, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPitchBender</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>ab0eb9d516a289c19616b4335cda54aa9</anchor>
      <arglist>(uchar chn, uchar lsb, uchar msb)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnController</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>ae921ecda47f7af3e3fb247e15c484efc</anchor>
      <arglist>(uchar chn, uchar ctl, uchar v)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sysex</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a8622461a99bac839717c0660de305a37</anchor>
      <arglist>(uchar *data, ulong size)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setVolumePercentage</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a887a4fb2d285ca92247abe8fe6b84cd4</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>patch</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a21b8e937dc3023a0428ea1fd8cbb03f4</anchor>
      <arglist>(int p)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setFMPatchesDirectory</name>
      <anchorfile>classFMOut.html</anchorfile>
      <anchor>a1a837cf0ed8573bb8b2297fe4ee29f90</anchor>
      <arglist>(const char *dir)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GUSOut</name>
    <filename>classGUSOut.html</filename>
    <base>MidiOut</base>
    <member kind="function">
      <type></type>
      <name>GUSOut</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>adcd5eadb028f11bed62fdbd268738776</anchor>
      <arglist>(int d=0, int total=12)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~GUSOut</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>a811d3051ffb01c2085f60feba44f49d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openDev</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>a00ced18d9a643ceffb16faa4b622e55a</anchor>
      <arglist>(int sqfd)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>closeDev</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>ac27415d9031d37869f4e6641abf6848f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initDev</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>aa02cb206225bec46285f11584a9eb6f7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>noteOn</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>a22341d7226833443ae3e3a5ce3719965</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>noteOff</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>a19b08017bd073198306bf623f036e3a1</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressure</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>a4347f6364c371831ce301021ce766eee</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPatchChange</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>acf231cc3b64a9933b31d52171f056de3</anchor>
      <arglist>(uchar chn, uchar patch)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPressure</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>a9c9c76df32f088d2b8ed842f122a3827</anchor>
      <arglist>(uchar chn, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPitchBender</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>af87699d2bb0e317d02fdd3e525c54dfb</anchor>
      <arglist>(uchar chn, uchar lsb, uchar msb)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnController</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>a24ef8810d86d67a25970eb1c86974716</anchor>
      <arglist>(uchar chn, uchar ctl, uchar v)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sysex</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>aff190956fe307114e1330201f06ae5b8</anchor>
      <arglist>(uchar *data, ulong size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPatchesToUse</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>abab52f7f2cab4643479b1ff3953755ee</anchor>
      <arglist>(int *patchesused)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>loadPatch</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>a791b7cd77daa1f4bfac78a2e922e87e5</anchor>
      <arglist>(int pgm)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>patch</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>a650e3abbe8be4cfeeb48f99a8ed1521e</anchor>
      <arglist>(int p)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setGUSPatchesDirectory</name>
      <anchorfile>classGUSOut.html</anchorfile>
      <anchor>a1d33214c4a154ec818b68341e582a58f</anchor>
      <arglist>(const char *dir)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>MidiEvent</name>
    <filename>structMidiEvent.html</filename>
    <member kind="variable">
      <type>uchar</type>
      <name>command</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>a3560e3a72ebad44fb1e66497806cbff1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar</type>
      <name>chn</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>a518e7efd3286ad81f7edbb6e1b908d9d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar</type>
      <name>note</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>a82a0ff0d4ff1972cf946bc959b0d15c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar</type>
      <name>vel</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>ababcd82f5b29a5acfecc82704066af9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar</type>
      <name>patch</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>aacb68e9fb8dbef8f788fc4be25c426ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar</type>
      <name>ctl</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>a44e56b60ddbf21510abaf4ebc8156bf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar</type>
      <name>d1</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>ab99f7ad7a7f2cc82e2e803dff701ef09</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar</type>
      <name>d2</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>a96954680a5ce3d5fc974a0b1f97109da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar</type>
      <name>d3</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>a8433e0277480964f084c2e380f417ac7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar</type>
      <name>d4</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>acea39e7848061bc5ab5946038a0f87d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar</type>
      <name>d5</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>a2af47108ac68f15d6405b087e0dcd802</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar</type>
      <name>d6</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>a7ebfa5416c766c3c463ca9abca42d040</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ulong</type>
      <name>length</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>a2256886f9780c9fe3bcb60e368b8c3ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uchar *</type>
      <name>data</name>
      <anchorfile>structMidiEvent.html</anchorfile>
      <anchor>ad3534e436eb4129a153d0f6b1859b933</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>MidiFileInfo</name>
    <filename>structMidiFileInfo.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>format</name>
      <anchorfile>structMidiFileInfo.html</anchorfile>
      <anchor>a020d679dbff23e7e763f2c7a1a212393</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>ntracks</name>
      <anchorfile>structMidiFileInfo.html</anchorfile>
      <anchor>aa56f8c64d32032c48ea1e70a703338bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>ticksPerCuarterNote</name>
      <anchorfile>structMidiFileInfo.html</anchorfile>
      <anchor>ac3d57b8e06f2bd0ccdbc84c1a216d9cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ulong</type>
      <name>ticksTotal</name>
      <anchorfile>structMidiFileInfo.html</anchorfile>
      <anchor>a1b5f67426b433c9904a22682404c98f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>millisecsTotal</name>
      <anchorfile>structMidiFileInfo.html</anchorfile>
      <anchor>a2f69180b2071523b572854db7aea1486</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>patchesUsed</name>
      <anchorfile>structMidiFileInfo.html</anchorfile>
      <anchor>aa5c50847bd8f90427c0ea1d8ec1bd6a4</anchor>
      <arglist>[256]</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MidiMapper</name>
    <filename>classMidiMapper.html</filename>
    <member kind="function">
      <type></type>
      <name>MidiMapper</name>
      <anchorfile>classMidiMapper.html</anchorfile>
      <anchor>a0581eb1b30fa24553b7e15f9414cd932</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MidiMapper</name>
      <anchorfile>classMidiMapper.html</anchorfile>
      <anchor>ae9a6bf0c03b765875b62fe4375c6c502</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadFile</name>
      <anchorfile>classMidiMapper.html</anchorfile>
      <anchor>ab9ad5f1abcb26b5270b645ccf5fa4313</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ok</name>
      <anchorfile>classMidiMapper.html</anchorfile>
      <anchor>ab8cb4f67405cd6f42571af7ab5ac6ec6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>uchar</type>
      <name>channel</name>
      <anchorfile>classMidiMapper.html</anchorfile>
      <anchor>a17387e063703eba46a32e7c74e3701ad</anchor>
      <arglist>(uchar chn)</arglist>
    </member>
    <member kind="function">
      <type>uchar</type>
      <name>patch</name>
      <anchorfile>classMidiMapper.html</anchorfile>
      <anchor>a7f6e49b422e84e432bc9d6f762135e7a</anchor>
      <arglist>(uchar chn, uchar pgm)</arglist>
    </member>
    <member kind="function">
      <type>uchar</type>
      <name>key</name>
      <anchorfile>classMidiMapper.html</anchorfile>
      <anchor>a88a6f8a23e19edd34341f921e5617953</anchor>
      <arglist>(uchar chn, uchar pgm, uchar note)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pitchBender</name>
      <anchorfile>classMidiMapper.html</anchorfile>
      <anchor>ad9a7003252ca02626cbbcc045a88f818</anchor>
      <arglist>(uchar chn, uchar &amp;lsb, uchar &amp;msb)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>controller</name>
      <anchorfile>classMidiMapper.html</anchorfile>
      <anchor>a099a43e7cc820261f04e152bc85db676</anchor>
      <arglist>(uchar chn, uchar &amp;ctl, uchar &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>filename</name>
      <anchorfile>classMidiMapper.html</anchorfile>
      <anchor>abc06401726c20dcaeee0a4848c6b5178</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MidiOut</name>
    <filename>classMidiOut.html</filename>
    <member kind="function">
      <type></type>
      <name>MidiOut</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a5af8f8675ab995fb33d3dac1119b6c60</anchor>
      <arglist>(int d=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MidiOut</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a450e55ada7fc3200967a0ce93f99645c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openDev</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a866c94cc2ce695ba8c0593dbc27b3716</anchor>
      <arglist>(int sqfd)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>closeDev</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a9ae4de3c2d802097036e247c15c2a930</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initDev</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a79b9e6ea9e9eaf66dc2de1fdd6b9168c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>deviceType</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a4f84c079f6aec42eff481231497f4077</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>deviceName</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a201c5bcc2912e2a3c6cc84041af9b26b</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMidiMapper</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a52394929f0d16ab38572969b3eaca88e</anchor>
      <arglist>(MidiMapper *map)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>noteOn</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a43b0635afce32a31500688b3d9968fe4</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>noteOff</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>ad545a502cddf0a8dc7d1082f2b40d193</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressure</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>acf74f00060b87fa392df8ed099383b0a</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPatchChange</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a664ed218283f92c502e190a0571a9127</anchor>
      <arglist>(uchar chn, uchar patch)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPressure</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>aa2dadcf3fe72e6f059889ab94920eb27</anchor>
      <arglist>(uchar chn, uchar vel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnPitchBender</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a1b2c0c2da5ca864f19475d034f1b8eb5</anchor>
      <arglist>(uchar chn, uchar lsb, uchar msb)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>chnController</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>adc9becdc2a69a435937cdc30b57a9d10</anchor>
      <arglist>(uchar chn, uchar ctl, uchar v)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sysex</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>af5dd20d7342cc0c3a19f4f9c73d6cf02</anchor>
      <arglist>(uchar *data, ulong size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>allNotesOff</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a2034d73150d679de4004e726604644bd</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>channelSilence</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>ad9adf1f4f8d4090d6b524a6c2161ade0</anchor>
      <arglist>(uchar chn)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>channelMute</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>ac7d8e64f0198052b91f3f70c65987d2e</anchor>
      <arglist>(uchar chn, int b)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setVolumePercentage</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a0320f121ab5f5539d819aeb8dd3fccfb</anchor>
      <arglist>(int volper)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ok</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>adb7701cf6f4fea7bfdf4b110f3fd2fd2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>midiMapFilename</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a812772625c6d06d881893ab23a9e64a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sync</name>
      <anchorfile>classMidiOut.html</anchorfile>
      <anchor>a3ae408b02fd00ccdb4a6870171b21188</anchor>
      <arglist>(int i=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MidiPlayer</name>
    <filename>classMidiPlayer.html</filename>
    <member kind="function">
      <type></type>
      <name>MidiPlayer</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>a0b9d60bbe2db4393567373c345d9a3e0</anchor>
      <arglist>(DeviceManager *midi_, PlayerController *pctl)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MidiPlayer</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>a316846c78aab40fee24490d423ce082d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>loadSong</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>a149fe0c46adc94a95c4b80f595b6abf5</anchor>
      <arglist>(const char *filename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeSong</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>afc0e954aac3975dc4b476630c734f474</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>isSongLoaded</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>ab6508782a9b5a2d8ac4c4b0164ed1265</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>SpecialEvent *</type>
      <name>specialEvents</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>a4f470b8b9146bba3981e09d616b2e9d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NoteArray *</type>
      <name>noteArray</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>a62072cb20debc90b1d730433fa36c16f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>play</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>a3c291cfbf2f58c940707771ad62ba564</anchor>
      <arglist>(bool calloutput=false, void output(void)=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setParseSong</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>aa7780171a2e75ab6f1ae204d5e4f8d11</anchor>
      <arglist>(bool b=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGenerateBeats</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>a52a76be4fedcb7a8f8c5f4cc04c5dec4</anchor>
      <arglist>(bool b=false)</arglist>
    </member>
    <member kind="function">
      <type>MidiFileInfo *</type>
      <name>information</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>a259265ec90a3e5b80010f5903b195bf4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPos</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>a3750b3a9d334fcd15646bf1f8f55b8a9</anchor>
      <arglist>(ulong gotomsec, class MidiStatus *midistat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTempoRatio</name>
      <anchorfile>classMidiPlayer.html</anchorfile>
      <anchor>ab9816aa4f62826f14c876c9b4ac9e18b</anchor>
      <arglist>(double ratio)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MidiStatus</name>
    <filename>classMidiStatus.html</filename>
    <member kind="function">
      <type></type>
      <name>MidiStatus</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>adc3efd012f27a118d9be107de7f38282</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MidiStatus</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>a424927a18b507d3ca9ed11ed16d1197f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>keyPressure</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>a4a529299cd4f93bfaf48198d68bd152b</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnPatchChange</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>aa87f6b83c63e822654a53f544b9d8bdd</anchor>
      <arglist>(uchar chn, uchar patch)</arglist>
    </member>
    <member kind="function">
      <type>uchar</type>
      <name>chnPatch</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>ad5bd5baf520840fa560828b2c7c146b2</anchor>
      <arglist>(uchar chn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnPressure</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>a665f22bd553a7d9aa31975342d4de200</anchor>
      <arglist>(uchar chn, uchar vel)</arglist>
    </member>
    <member kind="function">
      <type>uchar</type>
      <name>chnPressure</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>a6c81cccdf87ad83f52be0449c469f86c</anchor>
      <arglist>(uchar chn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnPitchBender</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>a05ce206f45b5a8a9065af02c6d98babb</anchor>
      <arglist>(uchar chn, uchar lsb, uchar msb)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>chnPitchBender</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>ad78a4cc1fb8d2bd8a20682a29754e850</anchor>
      <arglist>(uchar chn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnController</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>a99ef5ce24793b542e16427732edf7344</anchor>
      <arglist>(uchar chn, uchar ctl, uchar v)</arglist>
    </member>
    <member kind="function">
      <type>uchar</type>
      <name>chnController</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>a799a0083ccb5433b92405a201aad3301</anchor>
      <arglist>(uchar chn, uchar ctl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sysex</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>a6cf16046490f8864da79354c0ac0ed0e</anchor>
      <arglist>(uchar *data, ulong size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>tmrSetTempo</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>a6a087c28eee1c9e02ba37f0adf45189b</anchor>
      <arglist>(int v)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendData</name>
      <anchorfile>classMidiStatus.html</anchorfile>
      <anchor>afe1711f834c36132603d88e6e8a085ff</anchor>
      <arglist>(class DeviceManager *midi, int gm=1)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MidiTrack</name>
    <filename>classMidiTrack.html</filename>
    <member kind="function">
      <type></type>
      <name>MidiTrack</name>
      <anchorfile>classMidiTrack.html</anchorfile>
      <anchor>a3677511da0dd4c08a0e3a70cda570773</anchor>
      <arglist>(FILE *file, int tpcn, int Id)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MidiTrack</name>
      <anchorfile>classMidiTrack.html</anchorfile>
      <anchor>aaa9f15c2fe33ed0f44e0a78b2d1f0bf4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ticksPassed</name>
      <anchorfile>classMidiTrack.html</anchorfile>
      <anchor>ac35021f7a4b41cee4324e5cc9d23d052</anchor>
      <arglist>(ulong ticks)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>msPassed</name>
      <anchorfile>classMidiTrack.html</anchorfile>
      <anchor>aec31e2a8a91224f95d9157f0ebbd2082</anchor>
      <arglist>(ulong ms)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentMs</name>
      <anchorfile>classMidiTrack.html</anchorfile>
      <anchor>a3853ed58cfeddeb48a3ec9c00875d984</anchor>
      <arglist>(double ms)</arglist>
    </member>
    <member kind="function">
      <type>ulong</type>
      <name>waitTicks</name>
      <anchorfile>classMidiTrack.html</anchorfile>
      <anchor>a300ce66ac5591239483513b613ab6e9f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>absMsOfNextEvent</name>
      <anchorfile>classMidiTrack.html</anchorfile>
      <anchor>afae662342050ef7a5621af73a45dffb5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTempo</name>
      <anchorfile>classMidiTrack.html</anchorfile>
      <anchor>ae299d7d5d937e69dda16c36f9ff9498a</anchor>
      <arglist>(ulong t)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readEvent</name>
      <anchorfile>classMidiTrack.html</anchorfile>
      <anchor>a0116697d2b63b1369b980dcbb12ce9b4</anchor>
      <arglist>(MidiEvent *ev)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>classMidiTrack.html</anchorfile>
      <anchor>a1066b85a0a6835a7243ff07a6362a931</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classMidiTrack.html</anchorfile>
      <anchor>a01cd05333977c42eaf60bf53860e0078</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NoteArray</name>
    <filename>classNoteArray.html</filename>
    <member kind="function">
      <type></type>
      <name>NoteArray</name>
      <anchorfile>classNoteArray.html</anchorfile>
      <anchor>a21fc6ed9668b3a6b08e1f8d568270874</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~NoteArray</name>
      <anchorfile>classNoteArray.html</anchorfile>
      <anchor>a627d389a3d344f7542adae7a07bfaf99</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>at</name>
      <anchorfile>classNoteArray.html</anchorfile>
      <anchor>a637255f7ffcbee3d1cc0bfeb150dd5ce</anchor>
      <arglist>(ulong pos, ulong ms, int chn, int cmd, int note)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>at</name>
      <anchorfile>classNoteArray.html</anchorfile>
      <anchor>a7aff738c1322ea5253efcdeeb3b27fe8</anchor>
      <arglist>(ulong pos, noteCmd s)</arglist>
    </member>
    <member kind="function">
      <type>noteCmd</type>
      <name>at</name>
      <anchorfile>classNoteArray.html</anchorfile>
      <anchor>a0aa094939271786e68f705982d477d4b</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchorfile>classNoteArray.html</anchorfile>
      <anchor>ac4a1bc464ea67f56929b7715cd6c0bd4</anchor>
      <arglist>(ulong ms, int chn, int cmd, int note)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>iteratorBegin</name>
      <anchorfile>classNoteArray.html</anchorfile>
      <anchor>a5004a5dab1a07bea2349d02d987a9413</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>noteCmd *</type>
      <name>get</name>
      <anchorfile>classNoteArray.html</anchorfile>
      <anchor>a54613b78b20ec5c710bc7cab3e49a99c</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>next</name>
      <anchorfile>classNoteArray.html</anchorfile>
      <anchor>a1c17e59895ce607944ad04b87576f811</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>moveIteratorTo</name>
      <anchorfile>classNoteArray.html</anchorfile>
      <anchor>afffbcdd4c43e4df7133f512996bbdec8</anchor>
      <arglist>(ulong ms, int *pgm=NULL)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>PlayerController</name>
    <filename>structPlayerController.html</filename>
    <member kind="variable">
      <type>volatile int</type>
      <name>OK</name>
      <anchorfile>structPlayerController.html</anchorfile>
      <anchor>a11857f06c4977071fa437aa3f0b0adee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>volatile int</type>
      <name>playing</name>
      <anchorfile>structPlayerController.html</anchorfile>
      <anchor>a3b0850cc54ce2882b282eaa8cb712719</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>volatile int</type>
      <name>paused</name>
      <anchorfile>structPlayerController.html</anchorfile>
      <anchor>a238ef24467903c32ca40157f753b8027</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>volatile int</type>
      <name>moving</name>
      <anchorfile>structPlayerController.html</anchorfile>
      <anchor>aa4f205b564905418df30b5b55398a03f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>volatile int</type>
      <name>finished</name>
      <anchorfile>structPlayerController.html</anchorfile>
      <anchor>aca00d4196ab16700723944c16f3ffde6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>volatile int</type>
      <name>error</name>
      <anchorfile>structPlayerController.html</anchorfile>
      <anchor>ac4a3daca918f32804ae02c2a14de2792</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>volatile int</type>
      <name>gm</name>
      <anchorfile>structPlayerController.html</anchorfile>
      <anchor>a927f40c119fbd1fd7d7ec79fbd193fa5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>volatile int</type>
      <name>volumepercentage</name>
      <anchorfile>structPlayerController.html</anchorfile>
      <anchor>aa4f84e59384e99abc2429c4661018ab6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>volatile bool</type>
      <name>forcepgm</name>
      <anchorfile>structPlayerController.html</anchorfile>
      <anchor>ad10bf404d38e97eb6dfaad4e797010fa</anchor>
      <arglist>[16]</arglist>
    </member>
    <member kind="variable">
      <type>volatile int</type>
      <name>pgm</name>
      <anchorfile>structPlayerController.html</anchorfile>
      <anchor>a46d5932a4179ee63a7bdf8fc2923dc46</anchor>
      <arglist>[16]</arglist>
    </member>
    <member kind="variable">
      <type>volatile double</type>
      <name>ratioTempo</name>
      <anchorfile>structPlayerController.html</anchorfile>
      <anchor>a196ae9254526602d8cfcfc4cdd47a1f6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SpecialEvent</name>
    <filename>structSpecialEvent.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>id</name>
      <anchorfile>structSpecialEvent.html</anchorfile>
      <anchor>ae99bf52fc76952d257e93d0e2d29386e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ulong</type>
      <name>diffmilliseconds</name>
      <anchorfile>structSpecialEvent.html</anchorfile>
      <anchor>ac2fae285709f685d06590520642d08dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ulong</type>
      <name>absmilliseconds</name>
      <anchorfile>structSpecialEvent.html</anchorfile>
      <anchor>ab38473129e31721939864806f504bc51</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>ticks</name>
      <anchorfile>structSpecialEvent.html</anchorfile>
      <anchor>a3761e64f20c79e26bc1746a56896f2ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>type</name>
      <anchorfile>structSpecialEvent.html</anchorfile>
      <anchor>acf342fb2a34e0b118a1376c41848b2db</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>text</name>
      <anchorfile>structSpecialEvent.html</anchorfile>
      <anchor>a70be72dd69b6733c85b4519f92b1a06f</anchor>
      <arglist>[1024]</arglist>
    </member>
    <member kind="variable">
      <type>ulong</type>
      <name>tempo</name>
      <anchorfile>structSpecialEvent.html</anchorfile>
      <anchor>a40d1ef921f86a255e03bf0008caa4d99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>num</name>
      <anchorfile>structSpecialEvent.html</anchorfile>
      <anchor>a83e447c45a8189d739bd8543fe1faa8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>den</name>
      <anchorfile>structSpecialEvent.html</anchorfile>
      <anchor>a8c4a74e1a0a5c39e339a981e0b453273</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>struct SpecialEvent *</type>
      <name>next</name>
      <anchorfile>structSpecialEvent.html</anchorfile>
      <anchor>a84bce740da459beb1be0f558818614ef</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SynthOut</name>
    <filename>classSynthOut.html</filename>
    <base>MidiOut</base>
    <member kind="function">
      <type></type>
      <name>SynthOut</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>a9f126d539597c21900deda8ce0b94706</anchor>
      <arglist>(int d=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SynthOut</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>a43272e43912cfd3ccb474e0df39ead34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>openDev</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>a29c8fc9d0e1fc74218ea2635974becd7</anchor>
      <arglist>(int sqfd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeDev</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>a6755e8307b12679da8e020648be0f845</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initDev</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>ab670a47bf6af10438a08f45a3a4fb0b4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>noteOn</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>a3a48d6c3f493ab5b004df07e20fbf331</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>noteOff</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>afe97bb5266e1b3764a86f7073bea260e</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>keyPressure</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>a6e48e60f92c80bc6c082761fc2d4bafd</anchor>
      <arglist>(uchar chn, uchar note, uchar vel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnPatchChange</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>a8f14efe1038a2abb4165a0cc5f1433c9</anchor>
      <arglist>(uchar chn, uchar patch)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnPressure</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>a450a9f7980aad75b038fde8a43d50ce4</anchor>
      <arglist>(uchar chn, uchar vel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnPitchBender</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>a3a19b705050eecab3b818f74a031d73d</anchor>
      <arglist>(uchar chn, uchar lsb, uchar msb)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chnController</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>ae51ace64e625925959f967533a0c24a0</anchor>
      <arglist>(uchar chn, uchar ctl, uchar v)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sysex</name>
      <anchorfile>classSynthOut.html</anchorfile>
      <anchor>ab995fbd9e19a36bcbce19d49147c1d6b</anchor>
      <arglist>(uchar *data, ulong size)</arglist>
    </member>
  </compound>
</tagfile>
