<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.1">
  <compound kind="class">
    <name>KCookie</name>
    <filename>classKCookie.html</filename>
    <member kind="function">
      <type>TQCString</type>
      <name>display</name>
      <anchorfile>classKCookie.html</anchorfile>
      <anchor>a7baa394d2564130fe2677d6592422667</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDcopTransport</name>
      <anchorfile>classKCookie.html</anchorfile>
      <anchor>aa1888c6c44333af7b1f782a20701e1d3</anchor>
      <arglist>(const TQCString &amp;dcopTransport)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>dcopServer</name>
      <anchorfile>classKCookie.html</anchorfile>
      <anchor>a0b94bcb7e77dc94871d6ea156bd73261</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>dcopAuth</name>
      <anchorfile>classKCookie.html</anchorfile>
      <anchor>a9dc2a03d4011425dc4547788d11b9464</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>iceAuth</name>
      <anchorfile>classKCookie.html</anchorfile>
      <anchor>a0d85d3c1f00f7bc7ea7085ca2e3a1fcc</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PTY</name>
    <filename>classPTY.html</filename>
    <member kind="function">
      <type></type>
      <name>PTY</name>
      <anchorfile>classPTY.html</anchorfile>
      <anchor>a4f239f71081712661e74e7db66e6c4ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PTY</name>
      <anchorfile>classPTY.html</anchorfile>
      <anchor>ae7f216f9b99e433692ad0cebb6f6d3c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getpt</name>
      <anchorfile>classPTY.html</anchorfile>
      <anchor>af38d9791c999dd7a86dfd2444c1eaf1c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>grantpt</name>
      <anchorfile>classPTY.html</anchorfile>
      <anchor>a6adc9b83c6f996dac1d1741774ad6d71</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>unlockpt</name>
      <anchorfile>classPTY.html</anchorfile>
      <anchor>a3232c6b84835017f190b0ff05069e8d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>ptsname</name>
      <anchorfile>classPTY.html</anchorfile>
      <anchor>aad5e78738d5fbdadae09e4e6877db18b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PtyProcess</name>
    <filename>classPtyProcess.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>checkPidStatus</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>aae691249f6a0985de8f630e4a898dc85</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>exec</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>acf3b1125688f5079e2211fa3649ab0c6</anchor>
      <arglist>(const TQCString &amp;command, const QCStringList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>readLine</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>a8b4e0303ba7af04015ef98d5a75670db</anchor>
      <arglist>(bool block=true)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>readAll</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>a9afc18ad0878ec924477a2f8e89c9294</anchor>
      <arglist>(bool block=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeLine</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>a50bfefdd332cd5ead7713093a873871d</anchor>
      <arglist>(const TQCString &amp;line, bool addNewline=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unreadLine</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>ae0de18eb23e9c3b27e57b18adbdbb6e8</anchor>
      <arglist>(const TQCString &amp;line, bool addNewline=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExitString</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>a37b56075dea6be96100093035ccb0307</anchor>
      <arglist>(const TQCString &amp;exit)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>waitForChild</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>a6355fbb06209004a5925bfcd5190fbaa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>WaitSlave</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>abce600589977c5b7aaee94bf4c8cd112</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>enableLocalEcho</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>aab496808dbc7aee1d2571faa27921607</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTerminal</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>a5fe99b8ab204e8f4f0135b467c9be2d2</anchor>
      <arglist>(bool terminal)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setErase</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>a215de1a53c1a9172c98f4b8466256f8a</anchor>
      <arglist>(bool erase)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnvironment</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>ab0ac90d35272df6dc67a9fed3e9cea47</anchor>
      <arglist>(const QCStringList &amp;env)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fd</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>a203b2593dc666fb0e6862bdbd215fb8d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>pid</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>a5f09dc5ba0f59ad4359aa80401d0d026</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>waitMS</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>a131b9711d9b7940e23a8453f56619bfa</anchor>
      <arglist>(int fd, int ms)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>checkPid</name>
      <anchorfile>classPtyProcess.html</anchorfile>
      <anchor>a6c8c5e6eb93c0c9378bf21d94f60d1aa</anchor>
      <arglist>(pid_t pid)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SshProcess</name>
    <filename>classSshProcess.html</filename>
    <base>StubProcess</base>
    <member kind="function">
      <type>void</type>
      <name>setHost</name>
      <anchorfile>classSshProcess.html</anchorfile>
      <anchor>a6e250d8cf623fbe3b3a5a57712520cbc</anchor>
      <arglist>(const TQCString &amp;host)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStub</name>
      <anchorfile>classSshProcess.html</anchorfile>
      <anchor>a72d25086c06e2a290527a9765491f200</anchor>
      <arglist>(const TQCString &amp;stub)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>checkNeedPassword</name>
      <anchorfile>classSshProcess.html</anchorfile>
      <anchor>a91e611e11c16164e9e12c7c13d7a2093</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>checkInstall</name>
      <anchorfile>classSshProcess.html</anchorfile>
      <anchor>a03e86dc78e25399878701dfb855a519c</anchor>
      <arglist>(const char *password)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>exec</name>
      <anchorfile>classSshProcess.html</anchorfile>
      <anchor>ad529bf7bece8119d47398d8dbc7cca72</anchor>
      <arglist>(const char *password, int check=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual TQCString</type>
      <name>display</name>
      <anchorfile>classSshProcess.html</anchorfile>
      <anchor>a7e5456f290268490f8dc6c18c9c444f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual TQCString</type>
      <name>dcopServer</name>
      <anchorfile>classSshProcess.html</anchorfile>
      <anchor>a7a1d270a2201aca08d8c6866193e25d1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>StubProcess</name>
    <filename>classStubProcess.html</filename>
    <base>PtyProcess</base>
    <member kind="enumeration">
      <type></type>
      <name>Scheduler</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>a1b584ee90b2382656445198026bfe72f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDcopTransport</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>a4fffe393b23babb6377b69aba6172b2f</anchor>
      <arglist>(const TQCString &amp;dcopTransport)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCommand</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>a6b281469f770f711b8395ad1ad304dd3</anchor>
      <arglist>(const TQCString &amp;command)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUser</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>aeced287b44adefb4f034c355bc98cd9b</anchor>
      <arglist>(const TQCString &amp;user)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setXOnly</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>aab250f0b7b14e36064c8919541b4aeb3</anchor>
      <arglist>(bool xonly)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDCOPForwarding</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>a6e2d9df6c06fc5d7c73b7259ec8e0775</anchor>
      <arglist>(bool dcopForwarding)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPriority</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>a67ca4898045cd5ad7ae963924b26f90d</anchor>
      <arglist>(int prio)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScheduler</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>af71dd7259a2b48595664ca2925aa68d6</anchor>
      <arglist>(int sched)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>ConverseStub</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>acabf44ebf9567a4b47ff74b259c30e19</anchor>
      <arglist>(int check)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>notifyTaskbar</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>a8b74cc894bebcd439277b0dfc364cbc1</anchor>
      <arglist>(const TQString &amp;suffix)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual TQCString</type>
      <name>display</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>a09ad0f939dc93070ac4d7d92602ea9f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual TQCString</type>
      <name>dcopServer</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>ae10f7aea1aae5c690a393785f091d8cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual TQCString</type>
      <name>dcopAuth</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>ab2fb2c8592bce38a431f1329f63f3b7c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual TQCString</type>
      <name>iceAuth</name>
      <anchorfile>classStubProcess.html</anchorfile>
      <anchor>afdb82833bd142efff415a7c4ab73c5ce</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SuProcess</name>
    <filename>classSuProcess.html</filename>
    <base>StubProcess</base>
    <member kind="enumeration">
      <type></type>
      <name>checkMode</name>
      <anchorfile>classSuProcess.html</anchorfile>
      <anchor>a1a1bf83d93143a4d856cf6c6c9335160</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>exec</name>
      <anchorfile>classSuProcess.html</anchorfile>
      <anchor>a53641f757432b008d5641062b64db5f9</anchor>
      <arglist>(const char *password, int check=NoCheck)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>checkInstall</name>
      <anchorfile>classSuProcess.html</anchorfile>
      <anchor>a50605de0f1eb26e4a3ec2aee5ef012fe</anchor>
      <arglist>(const char *password)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>checkNeedPassword</name>
      <anchorfile>classSuProcess.html</anchorfile>
      <anchor>a438c8a07924441a14f878cee8f3631f3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDEsuClient</name>
    <filename>classTDEsuClient.html</filename>
    <member kind="function">
      <type>int</type>
      <name>exec</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a700fd354b16398eaee2bebcb2e7d8ab3</anchor>
      <arglist>(const TQCString &amp;command, const TQCString &amp;user, const TQCString &amp;options=0, const QCStringList &amp;env=QCStringList())</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>exitCode</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a3ce0a5c285c0d4a447a889a352efdbdc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setPass</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a95c474dd71e8d4c0760208e506629bc4</anchor>
      <arglist>(const char *pass, int timeout)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setHost</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a421157b7553e8f460b07e928cdf52e34</anchor>
      <arglist>(const TQCString &amp;host)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setPriority</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a262b8c2f3fad77fef568fc8b54f77b6e</anchor>
      <arglist>(int priority)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setScheduler</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a92e4ca29bb67661dfe531a5d262d2b39</anchor>
      <arglist>(int scheduler)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>delCommand</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a2a01e5daad9eb6567df5a928728edf44</anchor>
      <arglist>(const TQCString &amp;command, const TQCString &amp;user)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setVar</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a86fd9527eca048329216054bd1789435</anchor>
      <arglist>(const TQCString &amp;key, const TQCString &amp;value, int timeout=0, const TQCString &amp;group=0)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getVar</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a25a726c7ea24924a3494cc7944e320f2</anchor>
      <arglist>(const TQCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; TQCString &gt;</type>
      <name>getKeys</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a496f94b3fa05251d047f6801f751eec4</anchor>
      <arglist>(const TQCString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>findGroup</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>aea4e6cb1b99f69e95e8173985be6c149</anchor>
      <arglist>(const TQCString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>delVar</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a106d4638b507479d5fa358177250c336</anchor>
      <arglist>(const TQCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>delVars</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a76017c5ccc14f1946b3139aed4edc3e6</anchor>
      <arglist>(const TQCString &amp;special_key)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>delGroup</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a2246f2a56202b97772589eed4cb39756</anchor>
      <arglist>(const TQCString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ping</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>aae02bcd3da8284462c16692b17d143ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>stopServer</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a1fbdf74e3b3e81b436df729a250b8dae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>startServer</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a2f64128c03b3b01a328772c961f065e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isServerSGID</name>
      <anchorfile>classTDEsuClient.html</anchorfile>
      <anchor>a8f11d802f9e1538d7a33f7f6938db6c9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Console-mode authentication</title>
    <filename>index.html</filename>
  </compound>
</tagfile>
